
Namespace UTSModule.Service
    ''' <summary>
    ''' 任务类型接口，每个任务必须实现的功能
    ''' </summary>
    Public Interface IServiceTask
        ''' <summary>
        ''' 任务开始
        ''' </summary>
        Sub Start()

        ''' <summary>
        ''' 任务退出
        ''' </summary>
        Sub [Stop]()

        ''' <summary>
        ''' 重启任务
        ''' </summary>
        Sub Restart()

        ''' <summary>
        ''' 设置任务参数
        ''' </summary>
        ''' <param name="params"></param>
        Sub SetParams(params As Dictionary(Of String, String))

        ''' <summary>
        ''' 获取任务参数
        ''' </summary>
        ''' <returns></returns>
        Function GetParams() As Dictionary(Of String, String)


    End Interface
End Namespace